## org.eclipse.datatools.connectivity.ui.actions
Class AddRepositoryViewAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction
                      org.eclipse.datatools.connectivity.ui.actions.AddRepositoryViewAction

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.jface.action.IAction, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class AddRepositoryViewAction

extends AddProfileViewAction

Adds a new profile repository

Author:
  rcernich

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`AddRepositoryViewAction()`

Method Summary
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`
`void` `run()`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction
`addHandlerListener, dispose, getAddedProfile, getIgnoreCategory, getParentProfile, getUseSelection, getWizardReturnCode, init, init, isEnabled, isHandled, removeHandlerListener, run, setCategory, setCategory, setIgnoreCategory, setParentProfile, setUseSelection`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### AddRepositoryViewAction

    public AddRepositoryViewAction()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `AddProfileViewAction`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  Overrides:
    `selectionChanged` in class `AddProfileViewAction`

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `execute` in interface `org.eclipse.core.commands.IHandler`
  Overrides:
    `execute` in class `AddProfileViewAction`
  Throws:
    `org.eclipse.core.commands.ExecutionException`